
<div class="fluid-container">
  <div class="col-md-12 d-flex flex-wrap">
    <div class="col-md-3 p-3" *ngFor="let item of products">
      <div class="card col-12">
        <img [src]="item.thumbnail" class="card-img-top" alt="..." height="200px" width="auto">
        <div class="card-body">
          <h5 class="card-title">{{item.title}}</h5>
          <p class="card-text" style="height: 120px;">{{item.description}}</p>
          <div class="btn-group" role="group" aria-label="Basic mixed styles example">
            <button type="button" class="btn btn-danger">${{item.price}}</button>
            <button type="button" class="btn btn-warning">{{item.discountPercentage}}%</button>
            <button type="button" class="btn btn-success">{{item.rating}}&#9733;</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>